Bug 1650641

Summary: [RFE] disable auto-reload of the dashboard
Product: Red Hat Satellite Reporter: Chris Duryee <cduryee>
Component: DashboardAssignee: Tomer Brisker <tbrisker>
Status: CLOSED ERRATA QA Contact: Vladimír Sedmík <vsedmik>
Severity: high Docs Contact:
Priority: high    
Version: 6.5.0CC: baitken, bkearney, egolov, kabbott, mhulan, mmccune, rplevka, sthirugn, tbrisker, vsedmik
Target Milestone: 6.6.0Keywords: FutureFeature, PrioBumpField, PrioBumpGSS
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: foreman-1.21.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-22 12:46:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Chris Duryee 2018-11-16 17:08:54 UTC
Description of problem:

The Satellite dashboard will auto-reload by default. I'm not aware of any users that monitor the dashboard in a way that's helped by auto-reload, and the reload can use a lot of system resources if the widgets are doing intense SQL.

I've even seen cases where the auto-reload has taken the Satellite down. This can happen if a user has a large number of systems, and a widget runs SQL that takes longer than 60 seconds to run. This can result in a "stacking" effect where more queries are coming in than can be cleared, and the Satellite will eventually become unresponsive.

It would be better if auto-reload was either disabled by default or removed entirely. This would provide a better experience for users with lots of systems, since they would not need to disable the auto-reload to regain some performance headroom on the Satellite.

Version-Release number of selected component (if applicable): 6.4.1

Expected behavior: dashboard page does not auto-reload if user's browser is on the dashboard page

Actual behavior: dashboard page auto-reloads

Comment 2 Tomer Brisker 2018-12-06 14:19:20 UTC
Created redmine issue https://projects.theforeman.org/issues/25637 from this bug

Comment 3 pm-sat@redhat.com 2018-12-06 21:10:34 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 4 pm-sat@redhat.com 2018-12-06 21:10:37 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 5 pm-sat@redhat.com 2018-12-08 01:08:17 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25637 has been resolved.

Comment 6 Blair Aitken 2019-04-02 15:25:28 UTC
This has been set to POST for 4+ months, do we have an idea of when this will get released?

Comment 11 errata-xmlrpc 2019-10-22 12:46:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172